import fond.io.*;

public class ProvaTemperatureMensili{

	public static void main(String[] args){
		InputWindow in=new InputWindow();
		OutputWindow out=new OutputWindow();

		int n=in.readInt("Numero di citt");
		String[] citta=new String[n];

		for(int i=0;i<n;i++)
			citta[i]=in.readString("Citta n. "+i);

		double[][] temperature=new double[n][12];
		for(int i=0;i<temperature.length;i++)
			for(int j=0;j<temperature[i].length;j++)
				temperature[i][j]=in.readDouble("temperatura della citta "+citta[i]+" nel mese n. "+j);

		TemperatureMensili tm=new TemperatureMensili(citta,temperature);

		out.writeln("dati letti:\n"+tm);


		double[] medieAnnue=tm.temperatureMedieAnnuePerCitta();

		for(int i=0;i<medieAnnue.length;i++){
			out.writeln("Temp. annua media a "+tm.citta(i)+": "+medieAnnue[i]);
		}

		String[] cittaCalde=tm.cittaPiuCaldaPerMese();

		for(int i=0;i<cittaCalde.length;i++){
			out.writeln("Citta pi calda nel mese n. "+i+": "+cittaCalde[i]);
		}


	}
}