public class BattagliaNavale{

	private int[][] schema;
	private static int idNave=1;

	public BattagliaNavale(int n){
		schema=new int[n][n];
		for(int i=0; i<n; i++)
			for(int j=0; j<n; j++)
				schema[i][j]=0;
	}

	public boolean aggiungiNave(int i, int j, int l){
		boolean inseribile=true;

		int h=j;
		while(h<j+l && inseribile){
			if(h>schema[i].length-1 || schema[i][h]>0)
				inseribile=false;
			h++;
		}

		if(inseribile){
			for(h=j;h<j+l;h++)
				schema[i][h]=idNave;
			idNave++;
		}

		return inseribile;
	}

	public int colpo(int i, int j){
		int esito=0;

		if(schema[i][j]>0){
			esito=2;
			int idColpita=schema[i][j];
			schema[i][j]=-schema[i][j];

			for(int h=0;h<schema[i].length;h++){
				if(schema[i][h]==idColpita)
					esito=1;
			}

		}

		return esito;
	}

	public String toString(){
		String s="";
		for(int i=0; i<schema.length; i++){
			for(int j=0; j<schema[i].length; j++)
				s+=schema[i][j]+" ";
			s+="\n";
		}
		return s;
	}
}