import fond.io.*;

public class ProvaSequenzaDiStringheBinarie {

	public static void main(String[] args){
		InputWindow in = new InputWindow();
		OutputWindow out = new OutputWindow();

		int n=in.readInt("Quante stringhe vuoi inserire?");
		String[] seq=new String[n];

		int i=0;
		while(i<n){
			String s=in.readString("Inserisci stringa num. "+i);
			boolean valida=true;
			for(int j=0;j<s.length();j++){
				char ch=s.charAt(j);
				if(ch!='0' && ch!='1')
					valida=false;
			}
			if(valida){
				seq[i]=s;
				i++;
			}else{
				s=in.readString("Stringa non valida. Inserisci stringa num. "+i);
			}
		}

		SequenzaDiStringheBinarie ssb=new SequenzaDiStringheBinarie(seq);

		out.writeln("Sequenza inserita \n"+ssb.toString());

		String risposta=in.readString("Vuoi conoscere il valore di una stringa?");
		while(risposta.equals("si")){
			i=in.readInt("Inserisci l'indice della stringa che ti interessa");
			if(i<0 || i>seq.length-1){
				out.writeln("Indice errato");
			}else{
				out.writeln(ssb.valoreStringa(i));
			}
			risposta=in.readString("Vuoi conoscere il valore di una stringa?");
		}


		risposta=in.readString("Vuoi inserire una soglia?");
		while(risposta.equals("si")){
			int k=in.readInt("Inserisci la soglia");
			int[] a=ssb.elementiSopraSoglia(k);
			out.writeln("Gli elementi il cui valore è maggiore di "+k+" sono quelli di indice: ");
			for(i=0;i<a.length;i++)
				out.writeln(a[i]+" ");
			risposta=in.readString("Vuoi inserire una soglia?");
		}


	}
}