import fond.io.*;

public class ProvaRisultatiConcorso{

	public static void main(String[] args){
		OutputWindow out=new OutputWindow();
		InputWindow in=new InputWindow();

		int n=in.readInt("Numero studenti?");

		String[] nomi=new String[n];

		for(int i=0;i<n;i++)
			nomi[i]=in.readString("Studente n. "+i+"?");

		int m=in.readInt("Numero prove?");
		int[][] punteggi=new int[n][m];

		for(int i=0;i<n;i++)
			for(int j=0;j<m;j++)
				punteggi[i][j]=in.readInt("Punteggio dello studente "+nomi[i]+" nella prova "+j+"?");

		RisultatiConcorso rc=new RisultatiConcorso(nomi,punteggi);

		String[] candidati=rc.nomi();
		int[] finali=rc.punteggiCandidati();

		for(int i=0;i<candidati.length;i++)
			out.writeln("Punteggio finale del candidato "+candidati[i]+": "+finali[i]);

		for(int i=0;i<rc.numProve();i++){
			out.writeln("Punteggi della prova "+i);
			int[] punti=rc.punteggiPerProva(i);
			for(int j=0;j<punti.length;j++)
				out.writeln("Punteggio del candidato "+candidati[j]+": "+punti[j]);
		}



	}

}